import request from '@/utils/request'

// 查询检查部位列表
export function listPoint(query) {
  return request({
    url: '/system/point/list',
    method: 'get',
    params: query
  })
}

// 查询检查部位详细
export function getPoint(id) {
  return request({
    url: '/system/point/' + id,
    method: 'get'
  })
}

// 新增检查部位
export function addPoint(data) {
  return request({
    url: '/system/point',
    method: 'post',
    data: data
  })
}

// 修改检查部位
export function updatePoint(data) {
  return request({
    url: '/system/point',
    method: 'put',
    data: data
  })
}

// 删除检查部位
export function delPoint(id) {
  return request({
    url: '/system/point/' + id,
    method: 'delete'
  })
}
